"use strict";
var chai_1 = require("chai");
var Plottable = require("../../src");
describe("Utils", function () {
    describe("CallbackSet", function () {
        it("callCallbacks()", function () {
            var expectedString = "Plottable";
            var expectedIndex = 1;
            var cb1called = false;
            var cb1 = function (s, i) {
                chai_1.assert.strictEqual(s, expectedString, "was passed the correct first argument");
                chai_1.assert.strictEqual(i, expectedIndex, "was passed the correct second argument");
                cb1called = true;
            };
            var cb2called = false;
            var cb2 = function (s, i) {
                chai_1.assert.strictEqual(s, expectedString, "was passed the correct first argument");
                chai_1.assert.strictEqual(i, expectedIndex, "was passed the correct second argument");
                cb2called = true;
            };
            var callbackSet = new Plottable.Utils.CallbackSet();
            callbackSet.add(cb1);
            callbackSet.add(cb2);
            callbackSet.callCallbacks(expectedString, expectedIndex);
            chai_1.assert.isTrue(cb1called, "callback 1 was called");
            chai_1.assert.isTrue(cb2called, "callback 2 was called");
        });
    });
});
